Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class OptionUtils

    java.lang.Object
      oracle.ifs.fdk.impl.OptionUtils

    public final class OptionUtils

extends java.lang.Object

This class contains a set of static utilities for processing options.

Method Summary
`static boolean` | `getBoolean(java.util.Map map, java.lang.String name, boolean defaultValue)` Get a boolean value from a options map.
`static int` | `getInteger(java.util.Map map, java.lang.String name, int defaultValue)` Get an integer value from a options map.
`static long` | `getLong(java.util.Map map, java.lang.String name, long defaultValue)` Get a long value from a options map.
`static java.lang.String` | `getString(java.util.Map map, java.lang.String name, java.lang.String defaultValue)` Get a String value from a options map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static java.lang.String getString(java.util.Map map,
                                             java.lang.String name,
                                             java.lang.String defaultValue)
                                      throws FdkException

  Description copied from class: `OptionUtils`
  Get a String value from a options map.

  Parameters:
    `map` - Map of names to values
    `name` - Name
    `defaultValue` - Default value
  Returns:
    value
  Throws:
    `FdkException` - (FDK_INVALID_OPTION_VALUE) if the value is not to a String

### getInteger

    public static int getInteger(java.util.Map map,
                                 java.lang.String name,
                                 int defaultValue)
                          throws FdkException

  Description copied from class: `OptionUtils`
  Get an integer value from a options map.

  Parameters:
    `map` - Map of names to values
    `name` - Name
    `defaultValue` - Default value
  Returns:
    value
  Throws:
    `FdkException` - (FDK_INVALID_OPTION_VALUE) if the value can not be converted to an integer

### getLong

    public static long getLong(java.util.Map map,
                               java.lang.String name,
                               long defaultValue)
                        throws FdkException

  Description copied from class: `OptionUtils`
  Get a long value from a options map.

  Parameters:
    `map` - Map of names to values
    `name` - Name
    `defaultValue` - Default value
  Returns:
    value
  Throws:
    `FdkException` - (FDK_INVALID_OPTION_VALUE) if the value can not be converted to a long

### getBoolean

    public static boolean getBoolean(java.util.Map map,
                                     java.lang.String name,
                                     boolean defaultValue)
                              throws FdkException

  Description copied from class: `OptionUtils`
  Get a boolean value from a options map.

  Parameters:
    `map` - Map of names to values
    `name` - Name
    `defaultValue` - Default value
  Returns:
    value
  Throws:
    `FdkException` - (FDK_INVALID_OPTION_VALUE) if the value can not be converted to a boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD